<template>
    <div class="mt-20">
        <hooper
            ref="carousel"
            class="hooper-container"
            :settings="deviceType === 0 ? hooperSettings: mobileHooperSettings"
            :center-mode="true"
            @slide="updateCarousel"
        >
            <slide
                v-for="offer in popup.growth_offers"
                v-if="offer.status"
                :key="offer.order"
                class="slide-container"
            >
                <div
                    v-if="popup.growth_offers[0].optin_channel !== 'any' && offer.order != 1"
                    class="blur"
                >
                    <div v-if="popup.popup_background_type == 2" />
                    <div
                        v-else
                        class="blur"
                        :style="{backgroundColor: popup.colors.settings_background + 'cc'}"
                    />
                </div>
                <div
                    class="growth-cart-container"
                    :style="{backgroundColor: offer.background_color}"
                >
                    <span v-if="popup.icon_style == 1">
                        <img
                            :class="deviceType === 0 ? 'gift-size-' + offer.order: 'mobile-gift-size-' + offer.order"
                            :src="'/images/Gift1.svg'"
                        >
                    </span>
                    <span v-if="popup.icon_style == 2">
                        <img
                            :class="deviceType === 0 ? 'gift-size-' + offer.order: 'mobile-gift-size-' + offer.order"
                            :src="'/images/gift_1.svg'"
                        >
                    </span>
                    <span v-if="popup.icon_style == 3">
                        <img
                            :class="deviceType === 0 ? 'gift-size-' + offer.order: 'mobile-gift-size-' + offer.order"
                            :src="'/images/present-box-2.svg'"
                        >
                    </span>
                    <span v-if="popup.icon_style == 4">
                        <img
                            v-if="offer.order < 3"
                            :class="deviceType === 0 ? 'gift-size-' + offer.order: 'mobile-gift-size-' + offer.order"
                            :src="popup.popup_image"
                        >
                        <img
                            v-else
                            :class="deviceType === 0 ? 'gift-size-' + offer.order: 'mobile-gift-size-' + offer.order"
                            :src="popup.popup_image_closed"
                        >
                    </span>
                    <div
                        v-if="!showThank[offer.order - 1].active"
                        :style="{color: offer.text_color}"
                        class="title"
                    >
                        {{ replaceShortcodes(offer.offer_text, offer.automatic_discount_value) }}
                    </div>
                    <div
                        :id="`growth-text-${offer.order-1}`"
                        :class="deviceType===1?'action-gift-container-preview':''"
                        class="action-gift-container"
                    >
                        <div
                            v-if="offerTypes[offer.order-1] === 'email'"
                            :class="showThank[offer.order - 1].active?'preview-active':''"
                        >
                            <div
                                class="sms-phone-container"
                                :class="showThank[offer.order - 1].active?'preview-active':''"
                            >
                                <div
                                    v-if="!showThank[offer.order - 1].active"
                                    class="growth-input-container"
                                    :class="showThank[offer.order - 1].active?'preview-active':''"
                                >
                                    <div
                                        class="growth-input-icon-container"
                                        :style="{backgroundColor: offer.icon_background_color}"
                                    >
                                        <IconEmail
                                            class="growth-action-icons"
                                            :color="offer.icon_color"
                                        />      
                                    </div>
                                    <input
                                        name="password"
                                        :placeholder="offer.placeholder_text !== null ? offer.placeholder_text : 'Your email address'"
                                        class="email-input form-control"
                                    >
                                </div>
                                <div
                                    v-if="showThank[offer.order - 1].active"
                                    :id="`thank-text-${offer.order-1}`"
                                    :class="showThank[offer.order - 1].active?'preview-active':''"
                                >
                                    <div
                                        class="thank-you-preview"
                                        v-html="replaceShortcodes(offer.thank_message, offer.automatic_discount_value, offer.order)"
                                    />
                                </div>
                            </div>
                            <div>
                                <button
                                    v-if="!showThank[offer.order - 1].active"
                                    :style="{backgroundColor: offer.btn_color, color: offer.btn_text_color}"
                                    class="btn get-discount-btn-full"
                                >
                                    {{ offer.btn_text }}
                                </button>
                            </div>
                        </div>
                        <div
                            v-if="offerTypes[offer.order-1] === 'sms'"
                            :class="showThank[offer.order - 1].active?'preview-active':''"
                        >
                            <div
                                class="sms-phone-container"
                                :class="showThank[offer.order - 1].active?'preview-active':''"
                            >
                                <div
                                    v-if="!showThank[offer.order - 1].active"
                                    class="growth-input-container"
                                    :class="showThank[offer.order - 1].active?'preview-active':''"
                                >
                                    <div
                                        class="growth-input-icon-container"
                                        :style="{backgroundColor: offer.icon_background_color}"
                                    >
                                        <IconSms
                                            class="growth-action-icons"
                                            :color="offer.icon_color"
                                        />      
                                    </div>
                                    <input
                                        type="number"
                                        name="password"
                                        :placeholder="offer.placeholder_text !== null ? offer.placeholder_text : 'Your phone number'"
                                        class="email-input form-control"
                                    >
                                </div>
                                <div>
                                    <div
                                        v-if="showThank[offer.order - 1].active"
                                        :id="`thank-text-${offer.order-1}`"
                                    >
                                        <div
                                            class="thank-you-preview"
                                            v-html="replaceShortcodes(offer.thank_message, offer.automatic_discount_value, offer.order)"
                                        />
                                    </div>
                                </div>
                            </div>
                            <div>
                                <button
                                    v-if="!showThank[offer.order - 1].active"
                                    :style="{backgroundColor: offer.btn_color, color: offer.btn_text_color}"
                                    class="btn get-discount-btn-full"
                                >
                                    {{ offer.btn_text }}
                                </button>
                            </div>
                        </div>
                        <div
                            v-if="offerTypes[offer.order-1] === 'push'"
                            class="full-width"
                        >
                            <div
                                class="sms-phone-container"
                                :class="showThank[offer.order - 1].active?'preview-active':''"
                            >
                                <div
                                    v-if="!showThank[offer.order - 1].active"
                                    class="growth-input-container"
                                >
                                    <div
                                        class="growth-input-icon-container"
                                        :style="{backgroundColor: offer.icon_background_color}"
                                    >
                                        <IconPush
                                            class="growth-action-icons"
                                            :color="offer.icon_color"
                                        />      
                                    </div>
                                    <div
                                        id="growth-push-text"
                                        class="push-text"
                                    >
                                        {{ offer.placeholder_text !== null ? offer.placeholder_text : 'Push notification' }}
                                    </div>
                                </div>
                                <div>
                                    <div
                                        v-if="showThank[offer.order - 1].active"
                                        :id="`thank-text-${offer.order-1}`"
                                    >
                                        <div
                                            class="thank-you-preview"
                                            v-html="replaceShortcodes(offer.thank_message, offer.automatic_discount_value, offer.order)"
                                        />
                                    </div>
                                </div>
                            </div>
                            <div>
                                <button
                                    v-if="!showThank[offer.order - 1].active"
                                    :style="{backgroundColor: offer.btn_color, color: offer.btn_text_color}"
                                    class="btn get-discount-btn-full"
                                >
                                    {{ offer.btn_text }}
                                </button>
                            </div>
                        </div>
                    </div>
                </div>
            </slide>
        </hooper>
        <div>
            <a
                class="nav-btn-prev"
                :style="{backgroundColor: popup.colors.arrow_color}"
                @click.prevent="slidePrev"
            >
                <svg
                    xmlns="http://www.w3.org/2000/svg"
                    width="10"
                    :height="deviceType === 0 ? 19 : 10"
                    viewBox="0 0 9.414 16.828"
                >
                    <path
                        id="chevron-down"
                        d="M0,0,7,7l7-7"
                        transform="translate(8 1.414) rotate(90)"
                        fill="none"
                        stroke="#fff"
                        stroke-linecap="round"
                        :class="{'grey-stroke': carouselData === 0}"
                        stroke-linejoin="round"
                        stroke-width="2"
                    />
                </svg>
            </a>
            <div class="nav-button-container">
                <div class="icon-container">
                    <a
                        class="nav-button"
                        @click="carouselData = 0"
                        v-html="getSvgByType(offerTypes[0], 0)"
                    />
                    <div
                        class="bottom-line"
                        :class="{'bottom-line-active': isEmail}"
                    />
                </div>

                <div
                    v-if="activeCount > 1"
                    class="icon-container"
                >
                    <a
                        class="nav-button"
                        @click="carouselData = 1"
                        v-html="getSvgByType(offerTypes[1], 1)"
                    />
                    <div
                        class="bottom-line"
                        :class="{'bottom-line-active': isSms}"
                    />
                </div>
                <!--        <div class="icon-container" v-if="activeCount > 2">-->
                <!--          <a @click="carouselData = 2" class="nav-button" v-html="getSvgByType(offerTypes[2], 2)">-->
                <!--          </a>-->
                <!--          <div class="bottom-line" :class="{'bottom-line-active': isMessenger}"></div>-->
                <!--        </div>-->
                <div
                    v-if="activeCount > 2"
                    class="icon-container"
                >
                    <a
                        class="nav-button"
                        @click="carouselData = 2"
                        v-html="getSvgByType(offerTypes[2], 2)"
                    />
                    <div
                        class="bottom-line"
                        :class="{'bottom-line-active': isPush}"
                    />
                </div>
            </div>
            <a
                class="nav-btn-next"
                :style="{backgroundColor: popup.colors.arrow_color}"
                @click.prevent="slideNext"
            >
                <svg
                    xmlns="http://www.w3.org/2000/svg"
                    width="10"
                    :height="deviceType === 0 ? 19 : 10"
                    viewBox="0 0 9.414 16.828"
                >
                    <path
                        id="chevron-down"
                        d="M6,16l7-7,7,7"
                        transform="translate(17.414 -4.586) rotate(90)"
                        fill="none"
                        stroke="#fff"
                        stroke-linecap="round"
                        :class="{'grey-stroke': carouselData === 2
                        }"
                        stroke-linejoin="round"
                        stroke-width="2"
                    />
                </svg>
            </a>
        </div>
    </div>
</template>

<script>
import {Hooper, Slide, Navigation as HooperNavigation} from 'hooper';
import 'hooper/dist/hooper.css';
import IconPush from '@/components/growth-tools/new/icons/Push.vue'
import IconSms from '@/components/growth-tools/new/icons/Sms.vue'
import IconEmail from '@/components/growth-tools/new/icons/Email.vue'

export default {
    name: "StyleSecond",
    components: {
        IconPush,
        IconEmail,
        IconSms,
        Hooper, 
        Slide, 
        HooperNavigation
    },
    props: ['popup', 'deviceType', 'showThank'],
    data() {
        return {
            carouselData: 0,
            offerTypes: [],
            activeCount: 0,
            hooperSettings: {
                itemsToShow: 1.8,
            },
            mobileHooperSettings: {
                itemsToShow: 1,
            },
            code: Math.random().toString(36).slice(2, 8).toUpperCase(),
        }
    },
    computed: {
        isEmail() {
            return this.carouselData === 0
        },
        isSms() {
            return this.carouselData === 1
        },
        // isMessenger() {
        //   return this.carouselData === 2
        // },
        isPush() {
            return this.carouselData === 2
        }
    },
    watch: {
        carouselData() {
            this.$refs.carousel.slideTo(this.carouselData);
        },
        popup: {
            deep: true,
            handler() {
                this.offerTypes = [];
                this.activeCount = 0;
                this.popup.growth_offers.map(offer => {
                    this.offerTypes.push(offer.optin_channel);
                    if (offer.status || this.popup.growth_offers[0].optin_channel === 'any') {
                        this.activeCount = this.activeCount + 1;
                    }
                });
                this.getTypeFromAny();
            }
        },
    },
    mounted() {
        this.popup.growth_offers.map(offer => {
            if (offer.status) {
                this.offerTypes.push(offer.optin_channel);
                this.activeCount = this.activeCount + 1;
            }
        });
        this.getTypeFromAny();
    },
    methods: {
        replaceShortcodes(text, value, order = 1) {
            if (text) {
                text = text.replace(/{discountValue}/g, value);
                const currentOffer = this.popup.growth_offers[order-1]
                const thankCode = currentOffer.automatic_discount_enabled == 1 ? this.code : currentOffer.code
                text = text.replace(/{discountCode}/g, `<span class="preview-thank-code">${thankCode || 'enter code'}</span>`);
            }
            return text;
        },
        slidePrev() {
            this.$refs.carousel.slidePrev();
        },
        slideNext() {
            this.$refs.carousel.slideNext();
        },
        updateCarousel(payload) {
            this.carouselData = payload.currentSlide;
        },
        getTypeFromAny() {
            const allValues = ["email", "sms", "push"];
            let difference = allValues.filter(x => this.offerTypes.indexOf(x) == -1);
            let k = 0;
            for (let i = 0; i < 4; i++) {
                if (this.offerTypes[i] === 'any') {
                    this.offerTypes[i] = difference[k];
                    k++;
                }
            }
        },
        getSvgByType(type, number) {
            switch (type) {
                case 'email':
                    return number !== this.carouselData ? `<svg xmlns="http://www.w3.org/2000/svg" style="margin-bottom: 10px" width="22" height="15.998" viewBox="0 0 30.784 24.746">
                              <g id="mail_1_" data-name="mail (1)" transform="translate(1.394 1)">
                                <path id="Контур_2154" data-name="Контур 2154" d="M4.8,4H27.2a2.83,2.83,0,0,1,2.8,2.843V23.9a2.83,2.83,0,0,1-2.8,2.843H4.8A2.83,2.83,0,0,1,2,23.9V6.843A2.83,2.83,0,0,1,4.8,4Z" transform="translate(-2 -4)" fill="none" stroke="#d7d9db" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"/>
                                <path id="Контур_2155" data-name="Контур 2155" d="M29.995,6,16,15.951,2,6" transform="translate(-2 -3.157)" fill="none" stroke="#d7d9db" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"/>
                              </g>
                            </svg>`
                        : `<svg xmlns="http://www.w3.org/2000/svg" width="22" style="margin-bottom: 10px"  height="15.998" viewBox="0 0 30.784 24.746">
                              <g id="mail_1_" data-name="mail (1)" transform="translate(1.394 1)">
                                <path id="Контур_2154" data-name="Контур 2154" d="M4.8,4H27.2a2.83,2.83,0,0,1,2.8,2.843V23.9a2.83,2.83,0,0,1-2.8,2.843H4.8A2.83,2.83,0,0,1,2,23.9V6.843A2.83,2.83,0,0,1,4.8,4Z" transform="translate(-2 -4)" fill="none" stroke="#4786ff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"/>
                                <path id="Контур_2155" data-name="Контур 2155" d="M29.995,6,16,15.951,2,6" transform="translate(-2 -3.157)" fill="none" stroke="#4786ff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"/>
                              </g>
                            </svg>`
                case 'sms':
                    return number !== this.carouselData ? `<svg xmlns="http://www.w3.org/2000/svg" style="margin-bottom: 10px"  width="22" height="15.998" viewBox="0 0 25.69 26.538">
                              <g id="Group_1" data-name="Group 1" transform="translate(0.97 0.97)">
                                <path id="Контур_3335" data-name="Контур 3335" d="M.97,25.569V.97H24.72V19.631H6.165Z" transform="translate(-0.97 -0.97)" fill="none" stroke="#d7d9db" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.939"/>
                                <rect id="Прямоугольник_347" data-name="Прямоугольник 347" width="3.393" height="5.089" rx="1.696" transform="translate(5.089 6.786)" fill="#d7d9db"/>
                                <rect id="Прямоугольник_348" data-name="Прямоугольник 348" width="3.393" height="5.089" rx="1.696" transform="translate(10.179 6.786)" fill="#d7d9db"/>
                                <rect id="Прямоугольник_349" data-name="Прямоугольник 349" width="3.393" height="5.089" rx="1.696" transform="translate(15.268 6.786)" fill="#d7d9db"/>
                              </g>
                            </svg>` :
                        `<svg xmlns="http://www.w3.org/2000/svg" width="22" style="margin-bottom: 10px"  height="15.998" viewBox="0 0 25.69 26.538">
                              <g id="Group_1" data-name="Group 1" transform="translate(0.97 0.97)">
                                <path id="Контур_3335" data-name="Контур 3335" d="M.97,25.569V.97H24.72V19.631H6.165Z" transform="translate(-0.97 -0.97)" fill="none" stroke="#4786ff" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.939"/>
                                <rect id="Прямоугольник_347" data-name="Прямоугольник 347" width="3.393" height="5.089" rx="1.696" transform="translate(5.089 6.786)" fill="#4786ff"/>
                                <rect id="Прямоугольник_348" data-name="Прямоугольник 348" width="3.393" height="5.089" rx="1.696" transform="translate(10.179 6.786)" fill="#4786ff"/>
                                <rect id="Прямоугольник_349" data-name="Прямоугольник 349" width="3.393" height="5.089" rx="1.696" transform="translate(15.268 6.786)" fill="#4786ff"/>
                              </g>
                            </svg>`;
                // case 'messenger':
                //   return number !== this.carouselData ? `<svg xmlns="http://www.w3.org/2000/svg" width="22" height="15.998" viewBox="0 0 27.995 27.991">
                //                       <path id="Messenger" d="M13.863-.007C6.084-.007.008,5.794.008,12.948c0,4.072,1.193,7.7,5.461,10.078v4.958l4.576-2.622a14.4,14.4,0,0,0,3.932.542C21.756,25.9,28,20.1,28,12.948S21.641-.007,13.863-.007Zm1.483,17.374L11.7,13.643,4.688,17.459l7.691-8.028,3.642,3.722,7.015-3.816Z" transform="translate(-0.008 0.007)" fill="#d7d9db" fill-rule="evenodd"/>
                //                     </svg>` :
                //       `<svg xmlns="http://www.w3.org/2000/svg" width="22" height="15.998" viewBox="0 0 27.995 27.991">
                //                       <path id="Messenger" d="M13.863-.007C6.084-.007.008,5.794.008,12.948c0,4.072,1.193,7.7,5.461,10.078v4.958l4.576-2.622a14.4,14.4,0,0,0,3.932.542C21.756,25.9,28,20.1,28,12.948S21.641-.007,13.863-.007Zm1.483,17.374L11.7,13.643,4.688,17.459l7.691-8.028,3.642,3.722,7.015-3.816Z" transform="translate(-0.008 0.007)" fill="#4786ff" fill-rule="evenodd"/>
                //                     </svg>`;
                case 'push':
                    return number !== this.carouselData ? `<svg xmlns="http://www.w3.org/2000/svg" style="margin-bottom: 10px"  width="22" height="15.998" viewBox="0 0 29.995 29.99">
                              <path id="bell_1_" data-name="bell (1)" d="M29.995,23H2a4.2,4.2,0,0,0,4.2-4.2v-7A9.8,9.8,0,0,1,16,2c2.814,0,7.343,3.311,7.343,3.311S25.8,9.2,25.8,11.8v7A4.2,4.2,0,0,0,29.995,23ZM18.419,28.6a2.8,2.8,0,0,1-4.843,0" transform="translate(-1 -1)" fill="none" stroke="#d7d9db" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"/>
                            </svg>` :
                        `<svg xmlns="http://www.w3.org/2000/svg" style="margin-bottom: 10px"  width="22" height="15.998" viewBox="0 0 29.995 29.99">
                              <path id="bell_1_" data-name="bell (1)" d="M29.995,23H2a4.2,4.2,0,0,0,4.2-4.2v-7a9.8,9.8,0,0,1,19.6,0v7A4.2,4.2,0,0,0,29.995,23ZM18.419,28.6a2.8,2.8,0,0,1-4.843,0" transform="translate(-1 -1)" fill="rgba(71,134,255,0)" stroke="#4786ff" stroke-linecap="round" stroke-linejoin="round" stroke-width="2"/>
                            </svg>`;

            }
        }
    },
}
</script>

<style scoped lang="scss">

.blur {
    position: absolute;
    height: inherit;
    width: inherit;
    cursor: not-allowed;
    z-index: 2;
}

.page-container {
    background-color: #707070;
    padding: 70px 0px;
}

.mobile-gift-size-1 {
    height: 40px;
}
.mobile-gift-size-2 {
    height: 50px;
}
.mobile-gift-size-3 {
    height: 60px;
}
.gift-size-1 {
  height: 45px;
}
.gift-size-2 {
  height: 55px;
}
.gift-size-3 {
  height: 65px;
}

.is-prev {
    .gift-img {
        fill: rgba(71, 134, 255, 0.4);
    }
}

.growth-cart-container {
    margin: 20px 0;

    width: 50%;
}

input::-webkit-outer-spin-button,
input::-webkit-inner-spin-button {
    -webkit-appearance: none;
    margin: 0;
}

input[type=number] {
    -moz-appearance: textfield;
}

.push-text {
    font-size: 12px;
}

.progress-count {
    color: #98A0A6;
    font-weight: 500;
    position: absolute;
    left: 30px;
    top: 30px;

    span {
        color: #4786FF;
    }
}

.growth-input-container {
    width: 100%;
    display: flex;
    align-items: center;
}


.get-discount-btn-full {
    color: #98A0A6;
    padding: 4px;
    background: #DEE1E6;
    border-radius: 5px;
    text-align: center;
    font-size: 11px;
    margin-top: 10px;
    width: 100%;
    min-width: 95px;
}

.messenger-container2 {
    display: flex;
    font-size: 8px;
    align-items: center;
    color: #98A0A6;
    font-weight: 300;
    margin-top: 5px;

    img {
        margin-right: 2px;
    }

    a {
        font-weight: 500;
        margin-left: 2px;
        color: #98A0A6;
    }
}

.growth-cart-container {
    box-shadow: 0 0 4px 0 rgba(0, 0, 0, 0.2), 0 4px 3px rgba(0, 0, 0, 0.08) !important;
    justify-content: flex-end !important;
    padding: 20px;
    height: 100% !important;
  span {
    position: absolute;
    top: 25px;
    height: 65px;
    display: flex;
    align-items: flex-end;
  }
}

.phone-number {
    font-size: 8px;
    text-align: left;
    margin-bottom: -5px;
}

.sms-phone-container {
    display: flex;
    min-width: 100px;
    margin-top: 0 !important;
    flex-direction: column;
    align-items: center;
    border-radius: 5px;
}

.facebook-check {
    font-size: 8px;
    width: 42px;
    display: flex;
}

.input-img-container {
    position: relative;
}

.gift-container {
    display: grid;
    align-items: end;
    height: 205px;
    @media screen and (max-width: 1200px) {
        height: auto;
        margin-top: 20px;
    }
}

.growth-action-icons {
    width: 15px;
    height: 15px;
}

.action-gift-container {
    padding: 0;
    width: 100%;
    justify-content: center;
    align-items: center;
  box-shadow: none !important;
    @media screen and (max-width: 1200px) {
        justify-content: center;
        height: auto;
    }
}

.action-gift-container-preview {
    justify-content: center;
    height: auto;
}

.usa-icon {
    position: absolute;
    top: 9px;
    left: 2px;
}

.arrow-down {
    position: absolute;
    top: 12px;
    left: 12px;
}

.gift-input-container {
    position: relative;
    padding-right: 17px;
    min-width: 100px;
    margin-top: 7px;
    @media screen and (max-width: 1200px) {
        min-width: 120px;
    }
}

.gift-input-container-preview {
    min-width: 120px;
}

.mt-20 {
    position: relative;
}

.phone-input-container {
    margin-left: 5px;
}

.messenger-container {
    display: flex;
    font-size: 8px;
    align-items: center;

    img {
        margin-right: 2px;
    }
}

.nav-button-container {
    display: flex;
    justify-content: center;
    align-items: baseline;

}

.grey-stroke {
    stroke: #D7D9DB;
}

.blue-fill {
    fill: #4786FF !important;
}

.blue-stroke {
    stroke: #4786FF !important;
}

.bottom-line {
    background-color: #4786FF;
    height: 2px;
    width: 100%;
    display: none;
}

.bottom-line-active {
    display: block !important;
    fill: #4786FF;
}

.email-tab-icon {
    stroke: #D7D9DB;
}

.icon-container {
    padding: 5px 5px 0 5px;

    svg {
        margin-bottom: 10px;
    }
}

.nav-button {
    margin-bottom: 10px;
    cursor: pointer;
}

.nav-btn-prev {
    position: absolute;
    top: 38%;
    left: 25%;
    cursor: pointer;
    width: 37px;
    height: 37px;
    align-items: center;
    display: flex;
    border-radius: 60%;
    justify-content: center;
}

.gift-input-container {
    position: relative;
    padding-right: 17px;
    min-width: 120px;
    margin-top: 7px;
}

.email-input {
    height: 25px !important;
    border: 1px solid #DAE7FF;
    border-radius: 5px;
    font-size: 12px;
    min-height: auto !important;
}

.get-discount-btn {
    color: #98A0A6;
    position: absolute;
    right: 0;
    bottom: 0;
    padding: 3px;
    background: #DEE1E6;
    border-radius: 5px;
    text-align: center;
    font-size: 7px;
}

.hooper:focus {
    outline: none
}

.nav-btn-next {
    cursor: pointer;
    position: absolute;
    top: 38%;
    right: 25%;
    width: 37px;
    align-items: center;
    height: 37px;
    display: flex;
    border-radius: 60%;
    justify-content: center;
}

.is-next {
    .gift-img {
        fill: rgba(71, 134, 255, 0.4);
    }
}

.gift-img {
    fill: #4786FF;
}

.title {
    font-size: 14px;
    font-weight: 400;
    margin-top: 10px;
    margin-bottom: 10px;
}


.hooper {
    height: 270px;
}

.slide-container {
    background: none;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.preview-container {
    display: flex;
    padding-top: 30px;
    background-color: white;
    margin-left: auto;
    margin-right: auto;
    max-width: 420px;
    justify-content: center;
    flex-direction: column;
    align-items: center;

}

.timer-style-1 {
    color: #707070;
    margin-top: 30px;
    margin-bottom: 30px;
    font-weight: 500;
}

.timer-number-style-1 {
    padding: 5px;
    background-color: #F5F6FA;
    border-radius: 5px;
    margin-right: 5px;
}

.timer-space-style-1 {
    margin: 0 5px;
}
.preview-active{
    width: 100% !important;
    div{
        width: 100% !important;
      display: flex;
      flex-direction: column;
    }
}
.thank-you-preview{
    height: 60px;
    display: flex;
    align-items: center;
    justify-content: center;
}
</style>
